Package org.eclipse.m2m.atl.adt.ui.preferences

# Class AtlPreferenceStore

java.lang.Object
org.eclipse.m2m.atl.adt.ui.preferences.AtlPreferenceStore

All Implemented Interfaces:
  `org.eclipse.jface.preference.IPreferenceStore`

public class AtlPreferenceStore extends Object implements org.eclipse.jface.preference.IPreferenceStore
A preference fPreferenceeStore organizes the user preferences with those in place.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`AtlPreferenceStore.Descriptor`
This is a simple generic class.
`static class`
`AtlPreferenceStore.Key`
Describes a preference key.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AtlPreferenceStore.Descriptor`
`BOOLEAN`
`static final AtlPreferenceStore.Descriptor`
`DOUBLE`
`static final AtlPreferenceStore.Descriptor`
`FLOAT`
`static final AtlPreferenceStore.Descriptor`
`INT`
`static final AtlPreferenceStore.Descriptor`
`LONG`
`static final AtlPreferenceStore.Descriptor`
`STRING`

### Fields inherited from interface org.eclipse.jface.preference.IPreferenceStore

`BOOLEAN_DEFAULT_DEFAULT, DOUBLE_DEFAULT_DEFAULT, FALSE, FLOAT_DEFAULT_DEFAULT, INT_DEFAULT_DEFAULT, LONG_DEFAULT_DEFAULT, STRING_DEFAULT_DEFAULT, TRUE`

## Constructor Summary

Constructors
Constructor
Description
`AtlPreferenceStore(org.eclipse.jface.preference.IPreferenceStore parent, AtlPreferenceStore.Key[] keys)`
Creates a new instance of ATL preference fPreferenceeStore.

## Method Summary

Modifier and Type
Method
Description
`void`
`addPropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)`
`boolean`
`contains(String name)`
`void`
`firePropertyChangeEvent(String name, Object oldValue, Object newValue)`
`boolean`
`getBoolean(String name)`
`boolean`
`getDefaultBoolean(String name)`
`double`
`getDefaultDouble(String name)`
`float`
`getDefaultFloat(String name)`
`int`
`getDefaultInt(String name)`
`long`
`getDefaultLong(String name)`
`String`
`getDefaultString(String name)`
`double`
`getDouble(String name)`
`float`
`getFloat(String name)`
`int`
`getInt(String name)`
`long`
`getLong(String name)`
`String`
`getString(String name)`
`boolean`
`isDefault(String name)`
`void`
`load()`
Loads every preferences from the parent fPreferenceeStore to this one.
`boolean`
`needsSaving()`
`void`
`propagate()`
Propagates the preferences of this fPreferenceeStore to the parent one.
`void`
`putValue(String name, String value)`
`void`
`removePropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)`
`void`
`setDefault(String name, boolean value)`
`void`
`setDefault(String name, double value)`
`void`
`setDefault(String name, float value)`
`void`
`setDefault(String name, int value)`
`void`
`setDefault(String name, long value)`
`void`
`setDefault(String name, String value)`
`void`
`setToDefault(String name)`
`void`
`setValue(String name, boolean value)`
`void`
`setValue(String name, double value)`
`void`
`setValue(String name, float value)`
`void`
`setValue(String name, int value)`
`void`
`setValue(String name, long value)`
`void`
`setValue(String name, String value)`
`void`
`start()`
`void`
`stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BOOLEAN

public static final AtlPreferenceStore.Descriptor BOOLEAN

### DOUBLE

public static final AtlPreferenceStore.Descriptor DOUBLE

### FLOAT

public static final AtlPreferenceStore.Descriptor FLOAT

### INT

public static final AtlPreferenceStore.Descriptor INT

### LONG

public static final AtlPreferenceStore.Descriptor LONG

### STRING

public static final AtlPreferenceStore.Descriptor STRING

## Constructor Details

### AtlPreferenceStore

public AtlPreferenceStore(org.eclipse.jface.preference.IPreferenceStore parent, AtlPreferenceStore.Key[] keys)
Creates a new instance of ATL preference fPreferenceeStore.

Parameters:
  `parent` - the parent fPreferenceeStore let's this one restore to the current value the preferences
  `keys` - this array is a list of keys for initialization

## Method Details

### addPropertyChangeListener

public void addPropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)

Specified by:
  `addPropertyChangeListener` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.addPropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener)`

### contains

public boolean contains(String name)

Specified by:
  `contains` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.contains(java.lang.String)`

### firePropertyChangeEvent

public void firePropertyChangeEvent(String name, Object oldValue, Object newValue)

Specified by:
  `firePropertyChangeEvent` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.firePropertyChangeEvent(java.lang.String, java.lang.Object, java.lang.Object)`

### getBoolean

public boolean getBoolean(String name)

Specified by:
  `getBoolean` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.getBoolean(java.lang.String)`

### getDefaultBoolean

public boolean getDefaultBoolean(String name)

Specified by:
  `getDefaultBoolean` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.getDefaultBoolean(java.lang.String)`

### getDefaultDouble

public double getDefaultDouble(String name)

Specified by:
  `getDefaultDouble` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.getDefaultDouble(java.lang.String)`

### getDefaultFloat

public float getDefaultFloat(String name)

Specified by:
  `getDefaultFloat` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.getDefaultFloat(java.lang.String)`

### getDefaultInt

public int getDefaultInt(String name)

Specified by:
  `getDefaultInt` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.getDefaultInt(java.lang.String)`

### getDefaultLong

public long getDefaultLong(String name)

Specified by:
  `getDefaultLong` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.getDefaultLong(java.lang.String)`

### getDefaultString

public String getDefaultString(String name)

Specified by:
  `getDefaultString` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.getDefaultString(java.lang.String)`

### getDouble

public double getDouble(String name)

Specified by:
  `getDouble` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.getDouble(java.lang.String)`

### getFloat

public float getFloat(String name)

Specified by:
  `getFloat` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.getFloat(java.lang.String)`

### getInt

public int getInt(String name)

Specified by:
  `getInt` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.getInt(java.lang.String)`

### getLong

public long getLong(String name)

Specified by:
  `getLong` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.getLong(java.lang.String)`

### getString

public String getString(String name)

Specified by:
  `getString` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.getString(java.lang.String)`

### isDefault

public boolean isDefault(String name)

Specified by:
  `isDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.isDefault(java.lang.String)`

### load

public void load()
Loads every preferences from the parent fPreferenceeStore to this one.

### needsSaving

public boolean needsSaving()

Specified by:
  `needsSaving` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.needsSaving()`

### propagate

public void propagate()
Propagates the preferences of this fPreferenceeStore to the parent one.

### putValue

public void putValue(String name, String value)

Specified by:
  `putValue` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.putValue(java.lang.String, java.lang.String)`

### removePropertyChangeListener

public void removePropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener listener)

Specified by:
  `removePropertyChangeListener` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.removePropertyChangeListener(org.eclipse.jface.util.IPropertyChangeListener)`

### setDefault

public void setDefault(String name, boolean value)

Specified by:
  `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.setDefault(java.lang.String, boolean)`

### setDefault

public void setDefault(String name, double value)

Specified by:
  `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.setDefault(java.lang.String, double)`

### setDefault

public void setDefault(String name, float value)

Specified by:
  `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.setDefault(java.lang.String, float)`

### setDefault

public void setDefault(String name, int value)

Specified by:
  `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.setDefault(java.lang.String, int)`

### setDefault

public void setDefault(String name, long value)

Specified by:
  `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.setDefault(java.lang.String, long)`

### setDefault

public void setDefault(String name, String value)

Specified by:
  `setDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.setDefault(java.lang.String, java.lang.String)`

### setToDefault

public void setToDefault(String name)

Specified by:
  `setToDefault` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.setToDefault(java.lang.String)`

### setValue

public void setValue(String name, boolean value)

Specified by:
  `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.setValue(java.lang.String, boolean)`

### setValue

public void setValue(String name, double value)

Specified by:
  `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.setValue(java.lang.String, double)`

### setValue

public void setValue(String name, float value)

Specified by:
  `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.setValue(java.lang.String, float)`

### setValue

public void setValue(String name, int value)

Specified by:
  `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.setValue(java.lang.String, int)`

### setValue

public void setValue(String name, long value)

Specified by:
  `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.setValue(java.lang.String, long)`

### setValue

public void setValue(String name, String value)

Specified by:
  `setValue` in interface `org.eclipse.jface.preference.IPreferenceStore`
See Also:
  - `IPreferenceStore.setValue(java.lang.String, java.lang.String)`

### start

public void start()

### stop

public void stop()